Get checkpoint receipts by number
get
/v1/checkpoints/receipts/by_number
Query parameters
numberstringRequiredExample:
Number of the checkpoint to lookup
50Responses
200Success
application/json
Transaction receipt
This type is generic over an inner [ReceiptEnvelope] which contains
consensus data and metadata.
checkpoint_hashstringOptionalExample:
Hash of the checkpoint this transaction was included within.
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40ccheckpoint_numberinteger · int64OptionalExample:
Number of the checkpoint this transaction was included within.
100fee_usedstringRequiredExample:
Fee used
0fromstringRequiredExample:
Address of the sender
0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742AbrecipientstringOptionalExample:
Address of the recipient. None when its a contract creation transaction.
0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742AbsuccessbooleanRequired
If transaction is executed successfully.
success_infoone ofOptional
nullOptional
tostringOptionalExample:
Address of the recipient. None when its a contract creation transaction.
This field will be deprecated, please use recipient instead.
0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Abtoken_addressstringOptionalExample:
Token address
0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Abtransaction_hashstringRequiredExample:
Transaction Hash.
0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40ctransaction_indexinteger · int64OptionalExample:
Index within the block.
2400
Client error
application/json
404
Resource not found
application/json
408
Request timeout
application/json
422
Business logic error
application/json
500
Internal server error
application/json
get
/v1/checkpoints/receipts/by_numberLast updated